---
layout: title
title: Titulo Introducción - presentación
---

Uno de los episodios más relevantes entre los procesos operados sobre el territorio peninsular durante el siglo xx fue la llamada Colonización Interior. Descendiente de las tesis regeneracionistas de final de siglo e inspirada en procesos análogos desarrollados en <a href="contexto">Italia, Alemania o Israel</a>, esta transformación productiva del territorio dirigida por el Instituto Nacional de Colonización (INC) entre 1939 y 1973 significó fundamentalmente la preparación para el cultivo y puesta en regadío de vastas extensiones de terreno a lo largo y ancho del Estado.

La necesidad de mano de obra para las tierras puestas en producción implicó la construcción de un gran número de nuevos pueblos, los llamados poblados de colonización. Dispuestos en redes de pequeños núcleos urbanos sitas en el interior de las zonas regables, fueron pueblos diseñados por algunos de los arquitectos más relevantes del momento <a href="urbanismo">cuyos trazados vanguardistas llaman todavía hoy la atención</a>. Cada familia de colonos, <a href="colono">seleccionada tanto por sus capacidades y competencias como por criterios de buena conducta</a>, recibía así una vivienda y una parcela que había de costear con los réditos de su trabajo.

En muchos casos, las tierras recibidas eran de muy baja calidad, <a href="mecanismos-expropiacion">debido a una compleja mecánica de expropiación que benefició a los grandes terratenientes y a las redes clientelares del Régimen</a>. Los suelos no fueron la única dificultad que estos pobladores tuvieron que afrontar; a esta hay que sumarle la burocratización debida al continuo control del Instituto de Colonización, <a href="mujeres">la invisibilización del papel de las mujeres</a> y un diseño estacionario de los planes que contempló tardíamente la mecanización de la agricultura. Pese a todas estas dificultades, sin embargo, <a href="colono-ciudadano">las sucesivas generaciones de colonos pusieron en práctica las nuevas técnicas y han formado parte así de la buscada modernización agraria</a>.

Esta colonización por otro lado no pudo tener lugar sin una política paralela de desarrollo de infraestructuras hidráulicas. La puesta en regadío implicó la construcción de embalses y la excavación de grandes canales y redes de acequias. <a href="presos">Como un caso más de memoria histórica, es necesario destacar el hecho de que en un Estado pauperizado tras la guerra y aislado internacionalmente, estas obras necesitaron emplear mano de obra proporcionada por el programa de Redención de Penas por el Trabajo</a>, estos es, prisioneros de guerra y comunes empleados en lo que ha sido llamado el trabajo esclavo.  

La colonización fue en resumen un proceso complejo en el que confluyeron <a href="autoritario">una primera etapa represiva de la dictadura</a> con una visión pragmática y tecnócrata que la reemplazó, que fue implantado en <a href="modelos">una variedad enorme de contextos sociales, económicos y culturales</a> que hacen difícil la generalización y el análisis grueso. Presentamos a continuación una serie de fragmentos de este proceso vistos desde una aproximación centrada en datos históricos de archivos y estudios legitimados. Ventanas de datos a un territorio cuya escala y memoria cambiaron para siempre.
